Bug 654239 - SELinux is preventing /usr/bin/gnome-session "signull" access .
Summary: SELinux is preventing /usr/bin/gnome-session "signull" access .
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 14
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:b142679fc4a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-17 09:55 UTC by Joachim Frieben
Modified: 2010-11-21 22:00 UTC (History)
3 users (show)

Fixed In Version: selinux-policy-3.9.7-12.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-21 22:00:53 UTC
Type: ---


Attachments (Terms of Use)

Description Joachim Frieben 2010-11-17 09:55:28 UTC
Summary:

SELinux is preventing /usr/bin/gnome-session "signull" access .

Detailed Description:

[SELinux is in permissive mode. This access was not denied.]

SELinux denied access requested by gnome-session. It is not expected that this
access is required by gnome-session and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                user_u:user_r:user_t:s0
Target Context                user_u:user_r:user_wm_t:s0
Target Objects                None [ process ]
Source                        gnome-session
Source Path                   /usr/bin/gnome-session
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           gnome-session-2.32.0-1.fc14
Target RPM Packages           
Policy RPM                    selinux-policy-3.9.7-11.fc14
Selinux Enabled               True
Policy Type                   mls
Enforcing Mode                Permissive
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.35.8-59.fc14.x86_64 #1 SMP Tue
                              Nov 16 03:32:03 UTC 2010 x86_64 x86_64
Alert Count                   1
First Seen                    Wed 17 Nov 2010 10:46:39 AM CET
Last Seen                     Wed 17 Nov 2010 10:46:39 AM CET
Local ID                      eac672b0-ed02-4276-878e-d433ab8088b2
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1289987199.587:31775): avc:  denied  { signull } for  pid=2670 comm="gnome-session" scontext=user_u:user_r:user_t:s0 tcontext=user_u:user_r:user_wm_t:s0 tclass=process

node=(removed) type=SYSCALL msg=audit(1289987199.587:31775): arch=c000003e syscall=62 success=yes exit=0 a0=a8f a1=0 a2=beefcafe a3=7fff0f4ceec0 items=0 ppid=2573 pid=2670 auid=501 uid=501 gid=100 euid=501 suid=501 fsuid=501 egid=100 sgid=100 fsgid=100 tty=(none) ses=10 comm="gnome-session" exe="/usr/bin/gnome-session" subj=user_u:user_r:user_t:s0 key=(null)



Hash String generated from  catchall,gnome-session,user_t,user_wm_t,process,signull
audit2allow suggests:

#============= user_t ==============
allow user_t user_wm_t:process signull;

Comment 1 Daniel Walsh 2010-11-17 14:30:57 UTC
Miroslav add

	allow $3 $1_wm_t:process { signal sigchld signull };

to wm_role_template

Comment 2 Miroslav Grepl 2010-11-18 14:51:02 UTC
Fixed in selinux-policy-3.9.7-12.fc14

Comment 3 Fedora Update System 2010-11-19 13:22:42 UTC
selinux-policy-3.9.7-12.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/selinux-policy-3.9.7-12.fc14

Comment 4 Fedora Update System 2010-11-19 22:40:56 UTC
selinux-policy-3.9.7-12.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/selinux-policy-3.9.7-12.fc14

Comment 5 Fedora Update System 2010-11-21 21:59:15 UTC
selinux-policy-3.9.7-12.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.